package com.persagy.apm.diagnose.timerecord.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-09-10 00:13:10
 */
@Data
@ApiModel(value = "查询监测指标计算时间入参")
public class QueryCalculateTimeRecordDTO {

    @ApiModelProperty(value = "项目id", required = true)
    private String projectId;

    @ApiModelProperty(value = "对象id", required = true)
    private String objId;
    
    @ApiModelProperty(value = "监测指标id", required = true)
    private String monitorIndicatorId;
    
    @ApiModelProperty(value = "上次计算时间", required = true)
    private Date calculateLastTime;
    
}
