package com.persagy.apm.diagnose.indicatorrecord.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-09-10 00:13:27
 */
@Data
@ApiModel(value = "监测指标历史记录返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class MonitorIndicatorRecordItemVO {
    @ApiModelProperty("主键")
    private String id;
    
    @ApiModelProperty("对象id")
    private String objId;
    
    @ApiModelProperty("监测指标id")
    private String monitorIndicatorId;
    
    @ApiModelProperty("时间")
    private Date date;
    
    @ApiModelProperty("值")
    private String value;
    
    @ApiModelProperty("创建人")
    private String creator;
    
    @ApiModelProperty("创建时间")
    private Date creationTime;
    
    @ApiModelProperty("修改人")
    private String modifier;
    
    @ApiModelProperty("修改时间")
    private Date modifiedTime;
    
}
