package com.persagy.apm.diagnose.maintenance.model.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import java.util.List;

/**
 * 条件
 */
@Data
@Builder(toBuilder = true)
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class CalculateMethodDTO {
    private String operator;

    private List<Formula> formula;

    private String monitorIndicatorId;

    private String monitorIndicatorName;

    private Integer isDefault;

    private String tempFormula;
}
